Page MenuHomePhabricator

Support creating audits with inline comments through the API
Closed, WontfixPublic

Description

It would be nice if it could be possible to create audits with inline comments through the API. The use case is for a Jenkins plugin that will create audits for concerns raised with the code.

Event Timeline

voldern added subscribers: voldern, cogocogo.
epriestley triaged this task as Normal priority.Jun 26 2012, 4:59 PM
epriestley added a project: Badge Awarded.
chad lowered the priority of this task from Normal to Wishlist.Nov 3 2014, 1:40 AM
chad edited projects, added Audit, Harbormaster; removed Phabricator.

@voldern , have you implemented that in your local fork or found another way how to achieve this?

@epriestley if you tell me how or where to look, then I can do that. At least part about adding inline comments to existing commits/audits.

aik099 added a comment.EditedNov 4 2014, 8:34 AM

I've found that there is API call for creating comments for commits called diffusion.createcomment, but it's marked as deprecated. Any idea why? It looks like working one to me.

tgm added a subscriber: tgm.Mar 5 2015, 1:11 PM
epriestley closed this task as Wontfix.Mar 27 2015, 1:00 PM
epriestley claimed this task.

This use case is obsoleted by Harbormaster (T1049).

When implemented, Harbormaster will let you report unit and lint results for commits and revisions.

avivey changed the visibility from "All Users" to "Public (No Login Required)".Jan 17 2019, 7:17 PM